package jst.symtab.link;

import parser.parsetree.SyntaxTreeLeaf;
import jst.symtab.*;
import jst.app.JSTMessage;

public interface Link {
	
	public String getName();

	public int getLine();

	public int getColumn();

	public String getOwnerFileName();

	public String getFullName();
	
	public boolean resolve();

	public JSTMessage getMessage();

	public Decl getDecl();

	public Link copy(Decl newOwner);

	public SyntaxTreeLeaf getSource(); // Maybe null.
}
