package parser.pda;
import util.*;

public class ParserMessage extends Message {

	public static final ParserMessage SYNTAX_ERROR = new ParserMessage("Syntax error on");
	public static final ParserMessage LEXICAL_ERROR = new ParserMessage("Lexical error on");
	public static final ParserMessage EXPECTED_TOKENS = new ParserMessage("Expected ");
	public static final ParserMessage PARSER_CONTEXT = new ParserMessage("In context ");
	public static final ParserMessage STACK_DUMP = new ParserMessage("PDA stack contains");

	protected ParserMessage(String msg) {
		super(msg);
	}
}
