package parser.pda.stateMachine.builder;

import parser.parsetree.*;
import parser.grammar.*;
import parser.pda.stateMachine.*;

import java.util.*;

public abstract class LookaheadBuilder {

    public abstract void reset();
    public abstract void begin(Terminal on);
    public abstract void addAction(ShiftOrReduce action);
    public abstract void end();

    public abstract Lookahead getResult();
}
